### Method

# ECal TimezoneCache add_timezone

since: 3.8

#### Declaration [src]

    void
    e_timezone_cache_add_timezone (
      ETimezoneCache* cache,
      ICalTimezone* zone
    )

#### Description [src]

Adds a copy of `zone` to `cache` and emits an `ETimezoneCache::timezone-added` signal. The `cache` will use the TZID string returned by `i_cal_timezone_get_tzid()` as the lookup key, which can be passed to `e_timezone_cache_get_timezone()` to obtain `zone` again.

If the `cache` already has an `ICalTimezone` with the same TZID string as `zone`, the `cache` will remain unchanged to avoid invalidating any `ICalTimezone` pointers which may have already been returned through e_timezone_cache_get_timezone().

Available since: 3.8

#### Parameters

`zone`

  Type: `None`

  An `ICalTimezone`.

  The data is owned by the caller of the method.